
libname in '\\mead03\rollann$\Firm age using series of longitudinal\Big_Data_Special_Issue\Age1orMore'; 
libname out '\\mead03\rollann$\Firm age using series of longitudinal\Big_Data_Special_Issue\Age1orMore'; 




proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	ods output summary=out.distribution_Overall ;
run;



proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class year; 
	ods output summary=out.distribution_ByYear ;
run;


proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class industry; 
	ods output summary=out.distribution_ByIndustry ;
run;

proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class knowledge_industries; 
	ods output summary=out.distribution_ByKBI ;
run;

proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class ict_industries; 
	ods output summary=out.distribution_ByICT ;
run;

proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class size_aluavg ;
	ods output summary=out.distribution_BySize ;
run;


proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class age_class; 
	ods output summary=out.distribution_ByAge ;
run;

proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class age_class2; 
	ods output summary=out.distribution_ByAge2 ;
run;

proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class size_aluavg age_class; 
	ods output summary=out.distribution_BySizeAndAge ;
run;

proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class size_aluavg age_class2; 
	ods output summary=out.distribution_BySizeAndAge2 ;
run;

proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class size_age; 
	ods output summary=out.distribution_ByWideSizeAge ;
run;

proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class main_region; 
	ods output summary=out.distribution_ByRegion ;
run;


*The following cuts do not appear in the paper. They were carried out for sensitivity analysis. ;


proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class main_province; 
	ods output summary=out.distribution_ByProvince ;
run;



proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class year industry; 
	ods output summary=out.distribution_ByYearAndIndustry ;
run;



proc means data=in.incumbent_withgeo_2000to2009 STACKODSOUTPUT n mean std skew kurt p5 p10 p25 p50 p75 p90 p95 qrange;
	var aluDHSgrowth;
	class year main_region; 
	ods output summary=out.distribution_ByYearAndRegion ;
run;




*In the next code, we merge these descriptive stats with the proportions for high/low growth. ;





